Subject: RE: bug#7367: 24.0.50; change logs in source code

From: "Drew Adams" <[email-masked]>
Date: Thu, 11 Nov 2010 09:03:46 -0800

Hey, why not give users only Internet links for the source code too while you're
at it?  Why bother to give them the source code for local use? Better yet, just
tell them to search the Internet for it.

Change log info, like any info, can be of variable quality/utility. It is info
about the source code, just like comments (and diffs) are, and as such it can be
useful to at least some users. Just like comments, it can inform you about
implementation and design logic - the intentions behind what is there currently.

The point is not that all change logs provide great info; the point is that
users deserve to have the info locally, whatever it is and however useful it
might be. They should not be shoved off to search the Internet.